function [] = LOKACE_podobnost(periodicita, delka_periody, y, prah) %input periodicita1, delka_periody, y

    %prah = 90;

    prumerna_delka = sum(delka_periody)/numel(delka_periody);
    prumerna_delka = round(prumerna_delka);
    % doba_useku = (prumerna_delka/Fs)*1000;
    % doba_useku = round(doba_useku);

    [Y] = SEG_A_DOPLN_vzorky(y, prumerna_delka);

    for i = 1:numel(periodicita)
   
        if periodicita(i) < prah
            periodicita(i) = 0;
        else
            periodicita(i) = 1;
        
        end
    
    end

    
        [vyznacene_useky, pocet_useku] = bwlabel(periodicita);

    for n = 1:pocet_useku
        [~, c] = find(vyznacene_useky == n);
        index = c(1);
        delka_rady = numel(c);
        c = [];
    
        usek = reshape(Y(:,index:index+delka_rady),1,[]); 
 
        save(['Podobnost_useky/usek_' num2str(n) '.mat'],'usek')
 
    end
    
end

